Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.quartz
Enum DateIntervalTrigger.IntervalUnit

    java.lang.Object
      java.lang.Enum<DateIntervalTrigger.IntervalUnit>
          org.quartz.DateIntervalTrigger.IntervalUnit

All Implemented Interfaces:
  Serializable, Comparable<DateIntervalTrigger.IntervalUnit>

Enclosing class:
  DateIntervalTrigger

    public static enum DateIntervalTrigger.IntervalUnit

extends Enum<DateIntervalTrigger.IntervalUnit>

Enum Constant Summary
`DAY`
`HOUR`
`MINUTE`
`MONTH`
`SECOND`
`WEEK`
`YEAR`

Method Summary
`static DateIntervalTrigger.IntervalUnit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DateIntervalTrigger.IntervalUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SECOND

    public static final DateIntervalTrigger.IntervalUnit SECOND

### MINUTE

    public static final DateIntervalTrigger.IntervalUnit MINUTE

### HOUR

    public static final DateIntervalTrigger.IntervalUnit HOUR

### DAY

    public static final DateIntervalTrigger.IntervalUnit DAY

### WEEK

    public static final DateIntervalTrigger.IntervalUnit WEEK

### MONTH

    public static final DateIntervalTrigger.IntervalUnit MONTH

### YEAR

    public static final DateIntervalTrigger.IntervalUnit YEAR

Method Detail

### values

    public static DateIntervalTrigger.IntervalUnit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DateIntervalTrigger.IntervalUnit c : DateIntervalTrigger.IntervalUnit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DateIntervalTrigger.IntervalUnit valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2001-2012, Terracotta, Inc.